Package de.gebit.integrity.dsl.impl

## Class DslPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - de.gebit.integrity.dsl.impl.DslPackageImpl

- All Implemented Interfaces:
    `DslPackage`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`

      public class DslPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements DslPackage

  An implementation of the model Package.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface de.gebit.integrity.dsl.DslPackage

      `DslPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `name, NAME_EDEFAULT`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface de.gebit.integrity.dsl.DslPackage

      `ARBITRARY_PARAMETER_OR_RESULT_NAME, ARBITRARY_PARAMETER_OR_RESULT_NAME__IDENTIFIER, ARBITRARY_PARAMETER_OR_RESULT_NAME__STRING_IDENTIFIER, ARBITRARY_PARAMETER_OR_RESULT_NAME_FEATURE_COUNT, BOOLEAN_VALUE, BOOLEAN_VALUE__BOOLEAN_VALUE, BOOLEAN_VALUE_FEATURE_COUNT, CALL, CALL__DEFINITION, CALL__MULTIPLIER, CALL__PARAMETERS, CALL__RESULT, CALL__RESULTS, CALL_DEFINITION, CALL_DEFINITION__DOCUMENTATION, CALL_DEFINITION__FIXTURE_METHOD, CALL_DEFINITION__NAME, CALL_DEFINITION_FEATURE_COUNT, CALL_FEATURE_COUNT, CONSTANT, CONSTANT__NAME, CONSTANT_DEFINITION, CONSTANT_DEFINITION__DOCUMENTATION, CONSTANT_DEFINITION__NAME, CONSTANT_DEFINITION__PARAMETERIZED, CONSTANT_DEFINITION__PRIVATE, CONSTANT_DEFINITION__VALUE, CONSTANT_DEFINITION__VARIANT_VALUES, CONSTANT_DEFINITION_FEATURE_COUNT, CONSTANT_ENTITY, CONSTANT_ENTITY__NAME, CONSTANT_ENTITY_FEATURE_COUNT, CONSTANT_FEATURE_COUNT, CONSTANT_VALUE, CONSTANT_VALUE_FEATURE_COUNT, CUSTOM_OPERATION, CUSTOM_OPERATION__DEFINITION, CUSTOM_OPERATION__POSTFIX_OPERAND, CUSTOM_OPERATION__PREFIX_OPERAND, CUSTOM_OPERATION_FEATURE_COUNT, DATE_AND_TIME_VALUE, DATE_AND_TIME_VALUE__DATE_VALUE, DATE_AND_TIME_VALUE__TIME_VALUE, DATE_AND_TIME_VALUE_FEATURE_COUNT, DATE_VALUE, DATE_VALUE__DATE_VALUE, DATE_VALUE_FEATURE_COUNT, DECIMAL_VALUE, DECIMAL_VALUE__DECIMAL_VALUE, DECIMAL_VALUE_FEATURE_COUNT, DOCUMENTATION_COMMENT, DOCUMENTATION_COMMENT__CONTENT, DOCUMENTATION_COMMENT_FEATURE_COUNT, eINSTANCE, EMPTY, EMPTY_FEATURE_COUNT, EMPTY_VALUE, EMPTY_VALUE_FEATURE_COUNT, eNAME, eNS_PREFIX, eNS_URI, ENUM_VALUE, ENUM_VALUE__ENUM_VALUE, ENUM_VALUE_FEATURE_COUNT, EUROPEAN_DATE_AND12_HRS_TIME_VALUE, EUROPEAN_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE, EUROPEAN_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE, EUROPEAN_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT, EUROPEAN_DATE_AND24_HRS_TIME_VALUE, EUROPEAN_DATE_AND24_HRS_TIME_VALUE__DATE_VALUE, EUROPEAN_DATE_AND24_HRS_TIME_VALUE__TIME_VALUE, EUROPEAN_DATE_AND24_HRS_TIME_VALUE_FEATURE_COUNT, EUROPEAN_DATE_VALUE, EUROPEAN_DATE_VALUE__DATE_VALUE, EUROPEAN_DATE_VALUE_FEATURE_COUNT, EXECUTION_MULTIPLIER, EXECUTION_MULTIPLIER__COUNT, EXECUTION_MULTIPLIER_FEATURE_COUNT, FIXED_PARAMETER_NAME, FIXED_PARAMETER_NAME__ANNOTATION, FIXED_PARAMETER_NAME_FEATURE_COUNT, FIXED_RESULT_NAME, FIXED_RESULT_NAME__FIELD, FIXED_RESULT_NAME_FEATURE_COUNT, FORK_DEFINITION, FORK_DEFINITION__BASE_FORK, FORK_DEFINITION__DESCRIPTION, FORK_DEFINITION__DOCUMENTATION, FORK_DEFINITION__FORKER_CLASS, FORK_DEFINITION__NAME, FORK_DEFINITION__PARAMETERS, FORK_DEFINITION__PRIVATE, FORK_DEFINITION_FEATURE_COUNT, FORK_PARAMETER, FORK_PARAMETER__NAME, FORK_PARAMETER__VALUE, FORK_PARAMETER_FEATURE_COUNT, IMPORT, IMPORT__IMPORTED_NAMESPACE, IMPORT_FEATURE_COUNT, INEXISTENT, INEXISTENT_FEATURE_COUNT, INEXISTENT_VALUE, INEXISTENT_VALUE_FEATURE_COUNT, INTEGER_VALUE, INTEGER_VALUE__INTEGER_VALUE, INTEGER_VALUE_FEATURE_COUNT, ISO_DATE_AND_TIME_VALUE, ISO_DATE_AND_TIME_VALUE__DATE_VALUE, ISO_DATE_AND_TIME_VALUE__TIME_VALUE, ISO_DATE_AND_TIME_VALUE_FEATURE_COUNT, ISO_DATE_VALUE, ISO_DATE_VALUE__DATE_VALUE, ISO_DATE_VALUE_FEATURE_COUNT, ISO_TIME_VALUE, ISO_TIME_VALUE__TIME_VALUE, ISO_TIME_VALUE_FEATURE_COUNT, JAVA_CLASS_REFERENCE, JAVA_CLASS_REFERENCE__TYPE, JAVA_CLASS_REFERENCE_FEATURE_COUNT, JAVA_CONSTANT_REFERENCE, JAVA_CONSTANT_REFERENCE__CONSTANT, JAVA_CONSTANT_REFERENCE__TYPE, JAVA_CONSTANT_REFERENCE_FEATURE_COUNT, JAVA_CONSTANT_VALUE, JAVA_CONSTANT_VALUE__CONSTANT, JAVA_CONSTANT_VALUE_FEATURE_COUNT, KEY_VALUE_PAIR, KEY_VALUE_PAIR__IDENTIFIER, KEY_VALUE_PAIR__STRING_IDENTIFIER, KEY_VALUE_PAIR__VALUE, KEY_VALUE_PAIR_FEATURE_COUNT, METHOD_REFERENCE, METHOD_REFERENCE__METHOD, METHOD_REFERENCE__TYPE, METHOD_REFERENCE_FEATURE_COUNT, MODEL, MODEL__IMPORTS, MODEL__STATEMENTS, MODEL_FEATURE_COUNT, NAMED_CALL_RESULT, NAMED_CALL_RESULT__NAME, NAMED_CALL_RESULT__TARGET, NAMED_CALL_RESULT_FEATURE_COUNT, NAMED_RESULT, NAMED_RESULT__NAME, NAMED_RESULT__VALUE, NAMED_RESULT_FEATURE_COUNT, NESTED_OBJECT, NESTED_OBJECT__ATTRIBUTES, NESTED_OBJECT_FEATURE_COUNT, NULL, NULL_FEATURE_COUNT, NULL_VALUE, NULL_VALUE_FEATURE_COUNT, OPERATION, OPERATION_DEFINITION, OPERATION_DEFINITION__NAME, OPERATION_DEFINITION__OPERATION_TYPE, OPERATION_DEFINITION_FEATURE_COUNT, OPERATION_FEATURE_COUNT, PACKAGE_DEFINITION, PACKAGE_DEFINITION__DOCUMENTATION, PACKAGE_DEFINITION__NAME, PACKAGE_DEFINITION__STATEMENTS, PACKAGE_DEFINITION_FEATURE_COUNT, PACKAGE_STATEMENT, PACKAGE_STATEMENT_FEATURE_COUNT, PARAMETER, PARAMETER__NAME, PARAMETER__VALUE, PARAMETER_FEATURE_COUNT, PARAMETER_NAME, PARAMETER_NAME_FEATURE_COUNT, PARAMETER_TABLE_HEADER, PARAMETER_TABLE_HEADER__NAME, PARAMETER_TABLE_HEADER_FEATURE_COUNT, PARAMETER_TABLE_VALUE, PARAMETER_TABLE_VALUE__VALUE, PARAMETER_TABLE_VALUE_FEATURE_COUNT, REGEX_VALUE, REGEX_VALUE__REGEX_VALUE, REGEX_VALUE_FEATURE_COUNT, RESULT_NAME, RESULT_NAME_FEATURE_COUNT, RESULT_TABLE_HEADER, RESULT_TABLE_HEADER__NAME, RESULT_TABLE_HEADER_FEATURE_COUNT, SIMPLE12_HRS_TIME_VALUE, SIMPLE12_HRS_TIME_VALUE__TIME_VALUE, SIMPLE12_HRS_TIME_VALUE_FEATURE_COUNT, SIMPLE24_HRS_TIME_VALUE, SIMPLE24_HRS_TIME_VALUE__TIME_VALUE, SIMPLE24_HRS_TIME_VALUE_FEATURE_COUNT, STANDARD_OPERATION, STANDARD_OPERATION__FIRST_OPERAND, STANDARD_OPERATION__MORE_OPERANDS, STANDARD_OPERATION__OPERATORS, STANDARD_OPERATION_FEATURE_COUNT, STATEMENT, STATEMENT__DOCUMENTATION, STATEMENT__NAME, STATEMENT_FEATURE_COUNT, STATIC_VALUE, STATIC_VALUE_FEATURE_COUNT, STRING_VALUE, STRING_VALUE__STRING_VALUE, STRING_VALUE_FEATURE_COUNT, SUITE, SUITE__DEFINITION, SUITE__FORK, SUITE__INLINED, SUITE__MULTIPLIER, SUITE__PARAMETERS, SUITE__RETURN, SUITE__VARIANTS, SUITE_DEFINITION, SUITE_DEFINITION__DEPENDENCIES, SUITE_DEFINITION__DOCUMENTATION, SUITE_DEFINITION__FINALIZERS, SUITE_DEFINITION__INLINED, SUITE_DEFINITION__NAME, SUITE_DEFINITION__PARAMETERS, SUITE_DEFINITION__PRIVATE, SUITE_DEFINITION__RETURN, SUITE_DEFINITION__SINGLE_RUN, SUITE_DEFINITION__STATEMENTS, SUITE_DEFINITION_FEATURE_COUNT, SUITE_FEATURE_COUNT, SUITE_PARAMETER, SUITE_PARAMETER__NAME, SUITE_PARAMETER__VALUE, SUITE_PARAMETER_DEFINITION, SUITE_PARAMETER_DEFINITION__DEFAULT, SUITE_PARAMETER_DEFINITION__NAME, SUITE_PARAMETER_DEFINITION_FEATURE_COUNT, SUITE_PARAMETER_FEATURE_COUNT, SUITE_RETURN, SUITE_RETURN__NAME, SUITE_RETURN__TARGET, SUITE_RETURN_DEFINITION, SUITE_RETURN_DEFINITION__NAME, SUITE_RETURN_DEFINITION_FEATURE_COUNT, SUITE_RETURN_FEATURE_COUNT, SUITE_STATEMENT, SUITE_STATEMENT_FEATURE_COUNT, SUITE_STATEMENT_WITH_RESULT, SUITE_STATEMENT_WITH_RESULT_FEATURE_COUNT, TABLE_TEST, TABLE_TEST__DEFAULT_RESULT_COLUMN, TABLE_TEST__DEFINITION, TABLE_TEST__PARAMETER_HEADERS, TABLE_TEST__PARAMETERS, TABLE_TEST__RESULT_HEADERS, TABLE_TEST__ROWS, TABLE_TEST_FEATURE_COUNT, TABLE_TEST_ROW, TABLE_TEST_ROW__VALUES, TABLE_TEST_ROW_FEATURE_COUNT, TEST, TEST__CHECKPOINT, TEST__DEFINITION, TEST__PARAMETERS, TEST__RESULT, TEST__RESULTS, TEST_DEFINITION, TEST_DEFINITION__DOCUMENTATION, TEST_DEFINITION__FIXTURE_METHOD, TEST_DEFINITION__NAME, TEST_DEFINITION_FEATURE_COUNT, TEST_FEATURE_COUNT, TIME_DIFFERENCE, TIME_DIFFERENCE__CALCULATED_VALUE, TIME_DIFFERENCE__DIRECTION, TIME_DIFFERENCE__FIXED_VALUES, TIME_DIFFERENCE_FEATURE_COUNT, TIME_PROGRESSION_FACTOR, TIME_PROGRESSION_FACTOR__CALCULATED_VALUE, TIME_PROGRESSION_FACTOR__FIXED_VALUE, TIME_PROGRESSION_FACTOR_FEATURE_COUNT, TIME_SET, TIME_SET__DIFF_TIME, TIME_SET__FORKS, TIME_SET__LIVE, TIME_SET__MASTER_FORK, TIME_SET__PROGRESSION_FACTOR, TIME_SET__PROGRESSION_MODE, TIME_SET__START_TIME, TIME_SET_FEATURE_COUNT, TIME_VALUE, TIME_VALUE__TIME_VALUE, TIME_VALUE_FEATURE_COUNT, TYPED_NESTED_OBJECT, TYPED_NESTED_OBJECT__NESTED_OBJECT, TYPED_NESTED_OBJECT__TYPE, TYPED_NESTED_OBJECT_FEATURE_COUNT, US_DATE_AND12_HRS_TIME_VALUE, US_DATE_AND12_HRS_TIME_VALUE__DATE_VALUE, US_DATE_AND12_HRS_TIME_VALUE__TIME_VALUE, US_DATE_AND12_HRS_TIME_VALUE_FEATURE_COUNT, US_DATE_VALUE, US_DATE_VALUE__DATE_VALUE, US_DATE_VALUE_FEATURE_COUNT, VALUE, VALUE_FEATURE_COUNT, VALUE_OR_ENUM_VALUE_OR_OPERATION, VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION, VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__MORE_VALUES, VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION__VALUE, VALUE_OR_ENUM_VALUE_OR_OPERATION_COLLECTION_FEATURE_COUNT, VALUE_OR_ENUM_VALUE_OR_OPERATION_FEATURE_COUNT, VARIABLE, VARIABLE__ATTRIBUTE, VARIABLE__NAME, VARIABLE_ASSIGNMENT, VARIABLE_ASSIGNMENT__TARGET, VARIABLE_ASSIGNMENT__VALUE, VARIABLE_ASSIGNMENT_FEATURE_COUNT, VARIABLE_DEFINITION, VARIABLE_DEFINITION__INITIAL_VALUE, VARIABLE_DEFINITION__NAME, VARIABLE_DEFINITION__PRIVATE, VARIABLE_DEFINITION_FEATURE_COUNT, VARIABLE_ENTITY, VARIABLE_ENTITY__NAME, VARIABLE_ENTITY_FEATURE_COUNT, VARIABLE_FEATURE_COUNT, VARIABLE_OR_CONSTANT_ENTITY, VARIABLE_OR_CONSTANT_ENTITY__NAME, VARIABLE_OR_CONSTANT_ENTITY_FEATURE_COUNT, VARIABLE_VARIABLE, VARIABLE_VARIABLE__NAME, VARIABLE_VARIABLE_FEATURE_COUNT, VARIANT_DEFINITION, VARIANT_DEFINITION__DESCRIPTION, VARIANT_DEFINITION__DOCUMENTATION, VARIANT_DEFINITION__NAME, VARIANT_DEFINITION_FEATURE_COUNT, VARIANT_VALUE, VARIANT_VALUE__NAMES, VARIANT_VALUE__VALUE, VARIANT_VALUE_FEATURE_COUNT, VISIBLE_COMMENT, VISIBLE_COMMENT__CONTENT, VISIBLE_COMMENT_FEATURE_COUNT, VISIBLE_DIVIDER, VISIBLE_DIVIDER__CONTENT, VISIBLE_DIVIDER_FEATURE_COUNT, VISIBLE_MULTI_LINE_COMMENT, VISIBLE_MULTI_LINE_COMMENT__CONTENT, VISIBLE_MULTI_LINE_COMMENT_FEATURE_COUNT, VISIBLE_MULTI_LINE_NORMAL_COMMENT, VISIBLE_MULTI_LINE_NORMAL_COMMENT__CONTENT, VISIBLE_MULTI_LINE_NORMAL_COMMENT_FEATURE_COUNT, VISIBLE_MULTI_LINE_TITLE_COMMENT, VISIBLE_MULTI_LINE_TITLE_COMMENT__CONTENT, VISIBLE_MULTI_LINE_TITLE_COMMENT_FEATURE_COUNT, VISIBLE_SINGLE_LINE_COMMENT, VISIBLE_SINGLE_LINE_COMMENT__CONTENT, VISIBLE_SINGLE_LINE_COMMENT_FEATURE_COUNT, VISIBLE_SINGLE_LINE_NORMAL_COMMENT, VISIBLE_SINGLE_LINE_NORMAL_COMMENT__CONTENT, VISIBLE_SINGLE_LINE_NORMAL_COMMENT_FEATURE_COUNT, VISIBLE_SINGLE_LINE_TITLE_COMMENT, VISIBLE_SINGLE_LINE_TITLE_COMMENT__CONTENT, VISIBLE_SINGLE_LINE_TITLE_COMMENT_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `createPackageContents()` | Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EClass` | `getArbitraryParameterOrResultName()`
    `org.eclipse.emf.ecore.EAttribute` | `getArbitraryParameterOrResultName_Identifier()`
    `org.eclipse.emf.ecore.EAttribute` | `getArbitraryParameterOrResultName_StringIdentifier()`
    `org.eclipse.emf.ecore.EClass` | `getBooleanValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getBooleanValue_BooleanValue()`
    `org.eclipse.emf.ecore.EClass` | `getCall()`
    `org.eclipse.emf.ecore.EReference` | `getCall_Definition()`
    `org.eclipse.emf.ecore.EReference` | `getCall_Multiplier()`
    `org.eclipse.emf.ecore.EReference` | `getCall_Parameters()`
    `org.eclipse.emf.ecore.EReference` | `getCall_Result()`
    `org.eclipse.emf.ecore.EReference` | `getCall_Results()`
    `org.eclipse.emf.ecore.EClass` | `getCallDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getCallDefinition_Documentation()`
    `org.eclipse.emf.ecore.EReference` | `getCallDefinition_FixtureMethod()`
    `org.eclipse.emf.ecore.EAttribute` | `getCallDefinition_Name()`
    `org.eclipse.emf.ecore.EClass` | `getConstant()`
    `org.eclipse.emf.ecore.EReference` | `getConstant_Name()`
    `org.eclipse.emf.ecore.EClass` | `getConstantDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_Documentation()`
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_Name()`
    `org.eclipse.emf.ecore.EAttribute` | `getConstantDefinition_Parameterized()`
    `org.eclipse.emf.ecore.EAttribute` | `getConstantDefinition_Private()`
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_Value()`
    `org.eclipse.emf.ecore.EReference` | `getConstantDefinition_VariantValues()`
    `org.eclipse.emf.ecore.EClass` | `getConstantEntity()`
    `org.eclipse.emf.ecore.EClass` | `getConstantValue()`
    `org.eclipse.emf.ecore.EClass` | `getCustomOperation()`
    `org.eclipse.emf.ecore.EReference` | `getCustomOperation_Definition()`
    `org.eclipse.emf.ecore.EReference` | `getCustomOperation_PostfixOperand()`
    `org.eclipse.emf.ecore.EReference` | `getCustomOperation_PrefixOperand()`
    `org.eclipse.emf.ecore.EClass` | `getDateAndTimeValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getDateAndTimeValue_DateValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getDateAndTimeValue_TimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getDateValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getDateValue_DateValue()`
    `org.eclipse.emf.ecore.EClass` | `getDecimalValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getDecimalValue_DecimalValue()`
    `org.eclipse.emf.ecore.EClass` | `getDocumentationComment()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentationComment_Content()`
    `DslFactory` | `getDslFactory()`
    `org.eclipse.emf.ecore.EClass` | `getEmpty()`
    `org.eclipse.emf.ecore.EClass` | `getEmptyValue()`
    `org.eclipse.emf.ecore.EClass` | `getEnumValue()`
    `org.eclipse.emf.ecore.EReference` | `getEnumValue_EnumValue()`
    `org.eclipse.emf.ecore.EClass` | `getEuropeanDateAnd12HrsTimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getEuropeanDateAnd24HrsTimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getEuropeanDateValue()`
    `org.eclipse.emf.ecore.EClass` | `getExecutionMultiplier()`
    `org.eclipse.emf.ecore.EReference` | `getExecutionMultiplier_Count()`
    `org.eclipse.emf.ecore.EClass` | `getFixedParameterName()`
    `org.eclipse.emf.ecore.EReference` | `getFixedParameterName_Annotation()`
    `org.eclipse.emf.ecore.EClass` | `getFixedResultName()`
    `org.eclipse.emf.ecore.EReference` | `getFixedResultName_Field()`
    `org.eclipse.emf.ecore.EClass` | `getForkDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getForkDefinition_BaseFork()`
    `org.eclipse.emf.ecore.EAttribute` | `getForkDefinition_Description()`
    `org.eclipse.emf.ecore.EReference` | `getForkDefinition_ForkerClass()`
    `org.eclipse.emf.ecore.EReference` | `getForkDefinition_Parameters()`
    `org.eclipse.emf.ecore.EAttribute` | `getForkDefinition_Private()`
    `org.eclipse.emf.ecore.EClass` | `getForkParameter()`
    `org.eclipse.emf.ecore.EReference` | `getForkParameter_Name()`
    `org.eclipse.emf.ecore.EReference` | `getForkParameter_Value()`
    `org.eclipse.emf.ecore.EClass` | `getImport()`
    `org.eclipse.emf.ecore.EAttribute` | `getImport_ImportedNamespace()`
    `org.eclipse.emf.ecore.EClass` | `getInexistent()`
    `org.eclipse.emf.ecore.EClass` | `getInexistentValue()`
    `org.eclipse.emf.ecore.EClass` | `getIntegerValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getIntegerValue_IntegerValue()`
    `org.eclipse.emf.ecore.EClass` | `getIsoDateAndTimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getIsoDateValue()`
    `org.eclipse.emf.ecore.EClass` | `getIsoTimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getJavaClassReference()`
    `org.eclipse.emf.ecore.EReference` | `getJavaClassReference_Type()`
    `org.eclipse.emf.ecore.EClass` | `getJavaConstantReference()`
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantReference_Constant()`
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantReference_Type()`
    `org.eclipse.emf.ecore.EClass` | `getJavaConstantValue()`
    `org.eclipse.emf.ecore.EReference` | `getJavaConstantValue_Constant()`
    `org.eclipse.emf.ecore.EClass` | `getKeyValuePair()`
    `org.eclipse.emf.ecore.EAttribute` | `getKeyValuePair_Identifier()`
    `org.eclipse.emf.ecore.EAttribute` | `getKeyValuePair_StringIdentifier()`
    `org.eclipse.emf.ecore.EReference` | `getKeyValuePair_Value()`
    `org.eclipse.emf.ecore.EClass` | `getMethodReference()`
    `org.eclipse.emf.ecore.EReference` | `getMethodReference_Method()`
    `org.eclipse.emf.ecore.EReference` | `getMethodReference_Type()`
    `org.eclipse.emf.ecore.EClass` | `getModel()`
    `org.eclipse.emf.ecore.EReference` | `getModel_Imports()`
    `org.eclipse.emf.ecore.EReference` | `getModel_Statements()`
    `org.eclipse.emf.ecore.EClass` | `getNamedCallResult()`
    `org.eclipse.emf.ecore.EReference` | `getNamedCallResult_Name()`
    `org.eclipse.emf.ecore.EReference` | `getNamedCallResult_Target()`
    `org.eclipse.emf.ecore.EClass` | `getNamedResult()`
    `org.eclipse.emf.ecore.EReference` | `getNamedResult_Name()`
    `org.eclipse.emf.ecore.EReference` | `getNamedResult_Value()`
    `org.eclipse.emf.ecore.EClass` | `getNestedObject()`
    `org.eclipse.emf.ecore.EReference` | `getNestedObject_Attributes()`
    `org.eclipse.emf.ecore.EClass` | `getNull()`
    `org.eclipse.emf.ecore.EClass` | `getNullValue()`
    `org.eclipse.emf.ecore.EClass` | `getOperation()`
    `org.eclipse.emf.ecore.EClass` | `getOperationDefinition()`
    `org.eclipse.emf.ecore.EAttribute` | `getOperationDefinition_Name()`
    `org.eclipse.emf.ecore.EReference` | `getOperationDefinition_OperationType()`
    `org.eclipse.emf.ecore.EClass` | `getPackageDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getPackageDefinition_Statements()`
    `org.eclipse.emf.ecore.EClass` | `getPackageStatement()`
    `org.eclipse.emf.ecore.EClass` | `getParameter()`
    `org.eclipse.emf.ecore.EReference` | `getParameter_Name()`
    `org.eclipse.emf.ecore.EReference` | `getParameter_Value()`
    `org.eclipse.emf.ecore.EClass` | `getParameterName()`
    `org.eclipse.emf.ecore.EClass` | `getParameterTableHeader()`
    `org.eclipse.emf.ecore.EReference` | `getParameterTableHeader_Name()`
    `org.eclipse.emf.ecore.EClass` | `getParameterTableValue()`
    `org.eclipse.emf.ecore.EReference` | `getParameterTableValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getRegexValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getRegexValue_RegexValue()`
    `org.eclipse.emf.ecore.EClass` | `getResultName()`
    `org.eclipse.emf.ecore.EClass` | `getResultTableHeader()`
    `org.eclipse.emf.ecore.EReference` | `getResultTableHeader_Name()`
    `org.eclipse.emf.ecore.EClass` | `getSimple12HrsTimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getSimple24HrsTimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getStandardOperation()`
    `org.eclipse.emf.ecore.EReference` | `getStandardOperation_FirstOperand()`
    `org.eclipse.emf.ecore.EReference` | `getStandardOperation_MoreOperands()`
    `org.eclipse.emf.ecore.EAttribute` | `getStandardOperation_Operators()`
    `org.eclipse.emf.ecore.EClass` | `getStatement()`
    `org.eclipse.emf.ecore.EReference` | `getStatement_Documentation()`
    `org.eclipse.emf.ecore.EAttribute` | `getStatement_Name()`
    `org.eclipse.emf.ecore.EClass` | `getStaticValue()`
    `org.eclipse.emf.ecore.EClass` | `getStringValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getStringValue_StringValue()`
    `org.eclipse.emf.ecore.EClass` | `getSuite()`
    `org.eclipse.emf.ecore.EReference` | `getSuite_Definition()`
    `org.eclipse.emf.ecore.EReference` | `getSuite_Fork()`
    `org.eclipse.emf.ecore.EAttribute` | `getSuite_Inlined()`
    `org.eclipse.emf.ecore.EReference` | `getSuite_Multiplier()`
    `org.eclipse.emf.ecore.EReference` | `getSuite_Parameters()`
    `org.eclipse.emf.ecore.EReference` | `getSuite_Return()`
    `org.eclipse.emf.ecore.EReference` | `getSuite_Variants()`
    `org.eclipse.emf.ecore.EClass` | `getSuiteDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Dependencies()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Documentation()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Finalizers()`
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_Inlined()`
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_Name()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Parameters()`
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_Private()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Return()`
    `org.eclipse.emf.ecore.EAttribute` | `getSuiteDefinition_SingleRun()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteDefinition_Statements()`
    `org.eclipse.emf.ecore.EClass` | `getSuiteParameter()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameter_Name()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameter_Value()`
    `org.eclipse.emf.ecore.EClass` | `getSuiteParameterDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameterDefinition_Default()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteParameterDefinition_Name()`
    `org.eclipse.emf.ecore.EClass` | `getSuiteReturn()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteReturn_Name()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteReturn_Target()`
    `org.eclipse.emf.ecore.EClass` | `getSuiteReturnDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getSuiteReturnDefinition_Name()`
    `org.eclipse.emf.ecore.EClass` | `getSuiteStatement()`
    `org.eclipse.emf.ecore.EClass` | `getSuiteStatementWithResult()`
    `org.eclipse.emf.ecore.EClass` | `getTableTest()`
    `org.eclipse.emf.ecore.EAttribute` | `getTableTest_DefaultResultColumn()`
    `org.eclipse.emf.ecore.EReference` | `getTableTest_Definition()`
    `org.eclipse.emf.ecore.EReference` | `getTableTest_ParameterHeaders()`
    `org.eclipse.emf.ecore.EReference` | `getTableTest_Parameters()`
    `org.eclipse.emf.ecore.EReference` | `getTableTest_ResultHeaders()`
    `org.eclipse.emf.ecore.EReference` | `getTableTest_Rows()`
    `org.eclipse.emf.ecore.EClass` | `getTableTestRow()`
    `org.eclipse.emf.ecore.EReference` | `getTableTestRow_Values()`
    `org.eclipse.emf.ecore.EClass` | `getTest()`
    `org.eclipse.emf.ecore.EAttribute` | `getTest_Checkpoint()`
    `org.eclipse.emf.ecore.EReference` | `getTest_Definition()`
    `org.eclipse.emf.ecore.EReference` | `getTest_Parameters()`
    `org.eclipse.emf.ecore.EReference` | `getTest_Result()`
    `org.eclipse.emf.ecore.EReference` | `getTest_Results()`
    `org.eclipse.emf.ecore.EClass` | `getTestDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getTestDefinition_Documentation()`
    `org.eclipse.emf.ecore.EReference` | `getTestDefinition_FixtureMethod()`
    `org.eclipse.emf.ecore.EAttribute` | `getTestDefinition_Name()`
    `org.eclipse.emf.ecore.EClass` | `getTimeDifference()`
    `org.eclipse.emf.ecore.EReference` | `getTimeDifference_CalculatedValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimeDifference_Direction()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimeDifference_FixedValues()`
    `org.eclipse.emf.ecore.EClass` | `getTimeProgressionFactor()`
    `org.eclipse.emf.ecore.EReference` | `getTimeProgressionFactor_CalculatedValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimeProgressionFactor_FixedValue()`
    `org.eclipse.emf.ecore.EClass` | `getTimeSet()`
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_DiffTime()`
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_Forks()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimeSet_Live()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimeSet_MasterFork()`
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_ProgressionFactor()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimeSet_ProgressionMode()`
    `org.eclipse.emf.ecore.EReference` | `getTimeSet_StartTime()`
    `org.eclipse.emf.ecore.EClass` | `getTimeValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getTimeValue_TimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getTypedNestedObject()`
    `org.eclipse.emf.ecore.EReference` | `getTypedNestedObject_NestedObject()`
    `org.eclipse.emf.ecore.EReference` | `getTypedNestedObject_Type()`
    `org.eclipse.emf.ecore.EClass` | `getUSDateAnd12HrsTimeValue()`
    `org.eclipse.emf.ecore.EClass` | `getUSDateValue()`
    `org.eclipse.emf.ecore.EClass` | `getValue()`
    `org.eclipse.emf.ecore.EClass` | `getValueOrEnumValueOrOperation()`
    `org.eclipse.emf.ecore.EClass` | `getValueOrEnumValueOrOperationCollection()`
    `org.eclipse.emf.ecore.EReference` | `getValueOrEnumValueOrOperationCollection_MoreValues()`
    `org.eclipse.emf.ecore.EReference` | `getValueOrEnumValueOrOperationCollection_Value()`
    `org.eclipse.emf.ecore.EClass` | `getVariable()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariable_Attribute()`
    `org.eclipse.emf.ecore.EReference` | `getVariable_Name()`
    `org.eclipse.emf.ecore.EClass` | `getVariableAssignment()`
    `org.eclipse.emf.ecore.EReference` | `getVariableAssignment_Target()`
    `org.eclipse.emf.ecore.EReference` | `getVariableAssignment_Value()`
    `org.eclipse.emf.ecore.EClass` | `getVariableDefinition()`
    `org.eclipse.emf.ecore.EReference` | `getVariableDefinition_InitialValue()`
    `org.eclipse.emf.ecore.EReference` | `getVariableDefinition_Name()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariableDefinition_Private()`
    `org.eclipse.emf.ecore.EClass` | `getVariableEntity()`
    `org.eclipse.emf.ecore.EClass` | `getVariableOrConstantEntity()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariableOrConstantEntity_Name()`
    `org.eclipse.emf.ecore.EClass` | `getVariableVariable()`
    `org.eclipse.emf.ecore.EReference` | `getVariableVariable_Name()`
    `org.eclipse.emf.ecore.EClass` | `getVariantDefinition()`
    `org.eclipse.emf.ecore.EAttribute` | `getVariantDefinition_Description()`
    `org.eclipse.emf.ecore.EClass` | `getVariantValue()`
    `org.eclipse.emf.ecore.EReference` | `getVariantValue_Names()`
    `org.eclipse.emf.ecore.EReference` | `getVariantValue_Value()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleComment()`
    `org.eclipse.emf.ecore.EAttribute` | `getVisibleComment_Content()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleDivider()`
    `org.eclipse.emf.ecore.EAttribute` | `getVisibleDivider_Content()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleMultiLineComment()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleMultiLineNormalComment()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleMultiLineTitleComment()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleSingleLineComment()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleSingleLineNormalComment()`
    `org.eclipse.emf.ecore.EClass` | `getVisibleSingleLineTitleComment()`
    `static DslPackage` | `init()` | Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` | Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### init

          public static DslPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `DslPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      See Also:
        `DslPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

    - #### getModel

          public org.eclipse.emf.ecore.EClass getModel()

      Specified by:
        `getModel` in interface `DslPackage`
      Returns:
        the meta object for class 'Model'.
      See Also:
        `Model`

    - #### getModel_Imports

          public org.eclipse.emf.ecore.EReference getModel_Imports()

      Specified by:
        `getModel_Imports` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Imports'.
      See Also:
        `Model.getImports()`, `DslPackage.getModel()`

    - #### getModel_Statements

          public org.eclipse.emf.ecore.EReference getModel_Statements()

      Specified by:
        `getModel_Statements` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Statements'.
      See Also:
        `Model.getStatements()`, `DslPackage.getModel()`

    - #### getStatement

          public org.eclipse.emf.ecore.EClass getStatement()

      Specified by:
        `getStatement` in interface `DslPackage`
      Returns:
        the meta object for class 'Statement'.
      See Also:
        `Statement`

    - #### getStatement_Documentation

          public org.eclipse.emf.ecore.EReference getStatement_Documentation()

      Specified by:
        `getStatement_Documentation` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `Statement.getDocumentation()`, `DslPackage.getStatement()`

    - #### getStatement_Name

          public org.eclipse.emf.ecore.EAttribute getStatement_Name()

      Specified by:
        `getStatement_Name` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `Statement.getName()`, `DslPackage.getStatement()`

    - #### getVisibleComment

          public org.eclipse.emf.ecore.EClass getVisibleComment()

      Specified by:
        `getVisibleComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Comment'.
      See Also:
        `VisibleComment`

    - #### getVisibleComment_Content

          public org.eclipse.emf.ecore.EAttribute getVisibleComment_Content()

      Specified by:
        `getVisibleComment_Content` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Content'.
      See Also:
        `VisibleComment.getContent()`, `DslPackage.getVisibleComment()`

    - #### getVisibleSingleLineComment

          public org.eclipse.emf.ecore.EClass getVisibleSingleLineComment()

      Specified by:
        `getVisibleSingleLineComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Single Line Comment'.
      See Also:
        `VisibleSingleLineComment`

    - #### getVisibleSingleLineNormalComment

          public org.eclipse.emf.ecore.EClass getVisibleSingleLineNormalComment()

      Specified by:
        `getVisibleSingleLineNormalComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Single Line Normal Comment'.
      See Also:
        `VisibleSingleLineNormalComment`

    - #### getVisibleSingleLineTitleComment

          public org.eclipse.emf.ecore.EClass getVisibleSingleLineTitleComment()

      Specified by:
        `getVisibleSingleLineTitleComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Single Line Title Comment'.
      See Also:
        `VisibleSingleLineTitleComment`

    - #### getVisibleMultiLineComment

          public org.eclipse.emf.ecore.EClass getVisibleMultiLineComment()

      Specified by:
        `getVisibleMultiLineComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Multi Line Comment'.
      See Also:
        `VisibleMultiLineComment`

    - #### getVisibleMultiLineNormalComment

          public org.eclipse.emf.ecore.EClass getVisibleMultiLineNormalComment()

      Specified by:
        `getVisibleMultiLineNormalComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Multi Line Normal Comment'.
      See Also:
        `VisibleMultiLineNormalComment`

    - #### getVisibleMultiLineTitleComment

          public org.eclipse.emf.ecore.EClass getVisibleMultiLineTitleComment()

      Specified by:
        `getVisibleMultiLineTitleComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Multi Line Title Comment'.
      See Also:
        `VisibleMultiLineTitleComment`

    - #### getVisibleDivider

          public org.eclipse.emf.ecore.EClass getVisibleDivider()

      Specified by:
        `getVisibleDivider` in interface `DslPackage`
      Returns:
        the meta object for class 'Visible Divider'.
      See Also:
        `VisibleDivider`

    - #### getVisibleDivider_Content

          public org.eclipse.emf.ecore.EAttribute getVisibleDivider_Content()

      Specified by:
        `getVisibleDivider_Content` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Content'.
      See Also:
        `VisibleDivider.getContent()`, `DslPackage.getVisibleDivider()`

    - #### getPackageDefinition

          public org.eclipse.emf.ecore.EClass getPackageDefinition()

      Specified by:
        `getPackageDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Package Definition'.
      See Also:
        `PackageDefinition`

    - #### getPackageDefinition_Statements

          public org.eclipse.emf.ecore.EReference getPackageDefinition_Statements()

      Specified by:
        `getPackageDefinition_Statements` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Statements'.
      See Also:
        `PackageDefinition.getStatements()`, `DslPackage.getPackageDefinition()`

    - #### getPackageStatement

          public org.eclipse.emf.ecore.EClass getPackageStatement()

      Specified by:
        `getPackageStatement` in interface `DslPackage`
      Returns:
        the meta object for class 'Package Statement'.
      See Also:
        `PackageStatement`

    - #### getImport

          public org.eclipse.emf.ecore.EClass getImport()

      Specified by:
        `getImport` in interface `DslPackage`
      Returns:
        the meta object for class 'Import'.
      See Also:
        `Import`

    - #### getImport_ImportedNamespace

          public org.eclipse.emf.ecore.EAttribute getImport_ImportedNamespace()

      Specified by:
        `getImport_ImportedNamespace` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Imported Namespace'.
      See Also:
        `Import.getImportedNamespace()`, `DslPackage.getImport()`

    - #### getForkDefinition

          public org.eclipse.emf.ecore.EClass getForkDefinition()

      Specified by:
        `getForkDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Fork Definition'.
      See Also:
        `ForkDefinition`

    - #### getForkDefinition_Private

          public org.eclipse.emf.ecore.EAttribute getForkDefinition_Private()

      Specified by:
        `getForkDefinition_Private` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `ForkDefinition.getPrivate()`, `DslPackage.getForkDefinition()`

    - #### getForkDefinition_Description

          public org.eclipse.emf.ecore.EAttribute getForkDefinition_Description()

      Specified by:
        `getForkDefinition_Description` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `ForkDefinition.getDescription()`, `DslPackage.getForkDefinition()`

    - #### getForkDefinition_ForkerClass

          public org.eclipse.emf.ecore.EReference getForkDefinition_ForkerClass()

      Specified by:
        `getForkDefinition_ForkerClass` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Forker Class'.
      See Also:
        `ForkDefinition.getForkerClass()`, `DslPackage.getForkDefinition()`

    - #### getForkDefinition_BaseFork

          public org.eclipse.emf.ecore.EReference getForkDefinition_BaseFork()

      Specified by:
        `getForkDefinition_BaseFork` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Base Fork'.
      See Also:
        `ForkDefinition.getBaseFork()`, `DslPackage.getForkDefinition()`

    - #### getForkDefinition_Parameters

          public org.eclipse.emf.ecore.EReference getForkDefinition_Parameters()

      Specified by:
        `getForkDefinition_Parameters` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `ForkDefinition.getParameters()`, `DslPackage.getForkDefinition()`

    - #### getForkParameter

          public org.eclipse.emf.ecore.EClass getForkParameter()

      Specified by:
        `getForkParameter` in interface `DslPackage`
      Returns:
        the meta object for class 'Fork Parameter'.
      See Also:
        `ForkParameter`

    - #### getForkParameter_Name

          public org.eclipse.emf.ecore.EReference getForkParameter_Name()

      Specified by:
        `getForkParameter_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ForkParameter.getName()`, `DslPackage.getForkParameter()`

    - #### getForkParameter_Value

          public org.eclipse.emf.ecore.EReference getForkParameter_Value()

      Specified by:
        `getForkParameter_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ForkParameter.getValue()`, `DslPackage.getForkParameter()`

    - #### getVariantDefinition

          public org.eclipse.emf.ecore.EClass getVariantDefinition()

      Specified by:
        `getVariantDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Variant Definition'.
      See Also:
        `VariantDefinition`

    - #### getVariantDefinition_Description

          public org.eclipse.emf.ecore.EAttribute getVariantDefinition_Description()

      Specified by:
        `getVariantDefinition_Description` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `VariantDefinition.getDescription()`, `DslPackage.getVariantDefinition()`

    - #### getTestDefinition

          public org.eclipse.emf.ecore.EClass getTestDefinition()

      Specified by:
        `getTestDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Test Definition'.
      See Also:
        `TestDefinition`

    - #### getTestDefinition_Documentation

          public org.eclipse.emf.ecore.EReference getTestDefinition_Documentation()

      Specified by:
        `getTestDefinition_Documentation` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `TestDefinition.getDocumentation()`, `DslPackage.getTestDefinition()`

    - #### getTestDefinition_Name

          public org.eclipse.emf.ecore.EAttribute getTestDefinition_Name()

      Specified by:
        `getTestDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `TestDefinition.getName()`, `DslPackage.getTestDefinition()`

    - #### getTestDefinition_FixtureMethod

          public org.eclipse.emf.ecore.EReference getTestDefinition_FixtureMethod()

      Specified by:
        `getTestDefinition_FixtureMethod` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Fixture Method'.
      See Also:
        `TestDefinition.getFixtureMethod()`, `DslPackage.getTestDefinition()`

    - #### getCallDefinition

          public org.eclipse.emf.ecore.EClass getCallDefinition()

      Specified by:
        `getCallDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Call Definition'.
      See Also:
        `CallDefinition`

    - #### getCallDefinition_Documentation

          public org.eclipse.emf.ecore.EReference getCallDefinition_Documentation()

      Specified by:
        `getCallDefinition_Documentation` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `CallDefinition.getDocumentation()`, `DslPackage.getCallDefinition()`

    - #### getCallDefinition_Name

          public org.eclipse.emf.ecore.EAttribute getCallDefinition_Name()

      Specified by:
        `getCallDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `CallDefinition.getName()`, `DslPackage.getCallDefinition()`

    - #### getCallDefinition_FixtureMethod

          public org.eclipse.emf.ecore.EReference getCallDefinition_FixtureMethod()

      Specified by:
        `getCallDefinition_FixtureMethod` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Fixture Method'.
      See Also:
        `CallDefinition.getFixtureMethod()`, `DslPackage.getCallDefinition()`

    - #### getSuiteDefinition

          public org.eclipse.emf.ecore.EClass getSuiteDefinition()

      Specified by:
        `getSuiteDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite Definition'.
      See Also:
        `SuiteDefinition`

    - #### getSuiteDefinition_Documentation

          public org.eclipse.emf.ecore.EReference getSuiteDefinition_Documentation()

      Specified by:
        `getSuiteDefinition_Documentation` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `SuiteDefinition.getDocumentation()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Private

          public org.eclipse.emf.ecore.EAttribute getSuiteDefinition_Private()

      Specified by:
        `getSuiteDefinition_Private` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `SuiteDefinition.getPrivate()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_SingleRun

          public org.eclipse.emf.ecore.EAttribute getSuiteDefinition_SingleRun()

      Specified by:
        `getSuiteDefinition_SingleRun` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Single Run'.
      See Also:
        `SuiteDefinition.getSingleRun()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Inlined

          public org.eclipse.emf.ecore.EAttribute getSuiteDefinition_Inlined()

      Specified by:
        `getSuiteDefinition_Inlined` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Inlined'.
      See Also:
        `SuiteDefinition.getInlined()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Name

          public org.eclipse.emf.ecore.EAttribute getSuiteDefinition_Name()

      Specified by:
        `getSuiteDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `SuiteDefinition.getName()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Parameters

          public org.eclipse.emf.ecore.EReference getSuiteDefinition_Parameters()

      Specified by:
        `getSuiteDefinition_Parameters` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `SuiteDefinition.getParameters()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Return

          public org.eclipse.emf.ecore.EReference getSuiteDefinition_Return()

      Specified by:
        `getSuiteDefinition_Return` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Return'.
      See Also:
        `SuiteDefinition.getReturn()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Dependencies

          public org.eclipse.emf.ecore.EReference getSuiteDefinition_Dependencies()

      Specified by:
        `getSuiteDefinition_Dependencies` in interface `DslPackage`
      Returns:
        the meta object for the reference list 'Dependencies'.
      See Also:
        `SuiteDefinition.getDependencies()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Finalizers

          public org.eclipse.emf.ecore.EReference getSuiteDefinition_Finalizers()

      Specified by:
        `getSuiteDefinition_Finalizers` in interface `DslPackage`
      Returns:
        the meta object for the reference list 'Finalizers'.
      See Also:
        `SuiteDefinition.getFinalizers()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteDefinition_Statements

          public org.eclipse.emf.ecore.EReference getSuiteDefinition_Statements()

      Specified by:
        `getSuiteDefinition_Statements` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Statements'.
      See Also:
        `SuiteDefinition.getStatements()`, `DslPackage.getSuiteDefinition()`

    - #### getSuiteParameterDefinition

          public org.eclipse.emf.ecore.EClass getSuiteParameterDefinition()

      Specified by:
        `getSuiteParameterDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite Parameter Definition'.
      See Also:
        `SuiteParameterDefinition`

    - #### getSuiteParameterDefinition_Name

          public org.eclipse.emf.ecore.EReference getSuiteParameterDefinition_Name()

      Specified by:
        `getSuiteParameterDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `SuiteParameterDefinition.getName()`, `DslPackage.getSuiteParameterDefinition()`

    - #### getSuiteParameterDefinition_Default

          public org.eclipse.emf.ecore.EReference getSuiteParameterDefinition_Default()

      Specified by:
        `getSuiteParameterDefinition_Default` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Default'.
      See Also:
        `SuiteParameterDefinition.getDefault()`, `DslPackage.getSuiteParameterDefinition()`

    - #### getSuiteReturnDefinition

          public org.eclipse.emf.ecore.EClass getSuiteReturnDefinition()

      Specified by:
        `getSuiteReturnDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite Return Definition'.
      See Also:
        `SuiteReturnDefinition`

    - #### getSuiteReturnDefinition_Name

          public org.eclipse.emf.ecore.EReference getSuiteReturnDefinition_Name()

      Specified by:
        `getSuiteReturnDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `SuiteReturnDefinition.getName()`, `DslPackage.getSuiteReturnDefinition()`

    - #### getOperationDefinition

          public org.eclipse.emf.ecore.EClass getOperationDefinition()

      Specified by:
        `getOperationDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Operation Definition'.
      See Also:
        `OperationDefinition`

    - #### getOperationDefinition_Name

          public org.eclipse.emf.ecore.EAttribute getOperationDefinition_Name()

      Specified by:
        `getOperationDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `OperationDefinition.getName()`, `DslPackage.getOperationDefinition()`

    - #### getOperationDefinition_OperationType

          public org.eclipse.emf.ecore.EReference getOperationDefinition_OperationType()

      Specified by:
        `getOperationDefinition_OperationType` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Operation Type'.
      See Also:
        `OperationDefinition.getOperationType()`, `DslPackage.getOperationDefinition()`

    - #### getSuiteStatement

          public org.eclipse.emf.ecore.EClass getSuiteStatement()

      Specified by:
        `getSuiteStatement` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite Statement'.
      See Also:
        `SuiteStatement`

    - #### getSuiteStatementWithResult

          public org.eclipse.emf.ecore.EClass getSuiteStatementWithResult()

      Specified by:
        `getSuiteStatementWithResult` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite Statement With Result'.
      See Also:
        `SuiteStatementWithResult`

    - #### getVariableDefinition

          public org.eclipse.emf.ecore.EClass getVariableDefinition()

      Specified by:
        `getVariableDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Variable Definition'.
      See Also:
        `VariableDefinition`

    - #### getVariableDefinition_Private

          public org.eclipse.emf.ecore.EAttribute getVariableDefinition_Private()

      Specified by:
        `getVariableDefinition_Private` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `VariableDefinition.getPrivate()`, `DslPackage.getVariableDefinition()`

    - #### getVariableDefinition_Name

          public org.eclipse.emf.ecore.EReference getVariableDefinition_Name()

      Specified by:
        `getVariableDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `VariableDefinition.getName()`, `DslPackage.getVariableDefinition()`

    - #### getVariableDefinition_InitialValue

          public org.eclipse.emf.ecore.EReference getVariableDefinition_InitialValue()

      Specified by:
        `getVariableDefinition_InitialValue` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Initial Value'.
      See Also:
        `VariableDefinition.getInitialValue()`, `DslPackage.getVariableDefinition()`

    - #### getConstantDefinition

          public org.eclipse.emf.ecore.EClass getConstantDefinition()

      Specified by:
        `getConstantDefinition` in interface `DslPackage`
      Returns:
        the meta object for class 'Constant Definition'.
      See Also:
        `ConstantDefinition`

    - #### getConstantDefinition_Documentation

          public org.eclipse.emf.ecore.EReference getConstantDefinition_Documentation()

      Specified by:
        `getConstantDefinition_Documentation` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Documentation'.
      See Also:
        `ConstantDefinition.getDocumentation()`, `DslPackage.getConstantDefinition()`

    - #### getConstantDefinition_Private

          public org.eclipse.emf.ecore.EAttribute getConstantDefinition_Private()

      Specified by:
        `getConstantDefinition_Private` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Private'.
      See Also:
        `ConstantDefinition.getPrivate()`, `DslPackage.getConstantDefinition()`

    - #### getConstantDefinition_Name

          public org.eclipse.emf.ecore.EReference getConstantDefinition_Name()

      Specified by:
        `getConstantDefinition_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ConstantDefinition.getName()`, `DslPackage.getConstantDefinition()`

    - #### getConstantDefinition_Value

          public org.eclipse.emf.ecore.EReference getConstantDefinition_Value()

      Specified by:
        `getConstantDefinition_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ConstantDefinition.getValue()`, `DslPackage.getConstantDefinition()`

    - #### getConstantDefinition_VariantValues

          public org.eclipse.emf.ecore.EReference getConstantDefinition_VariantValues()

      Specified by:
        `getConstantDefinition_VariantValues` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Variant Values'.
      See Also:
        `ConstantDefinition.getVariantValues()`, `DslPackage.getConstantDefinition()`

    - #### getConstantDefinition_Parameterized

          public org.eclipse.emf.ecore.EAttribute getConstantDefinition_Parameterized()

      Specified by:
        `getConstantDefinition_Parameterized` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Parameterized'.
      See Also:
        `ConstantDefinition.getParameterized()`, `DslPackage.getConstantDefinition()`

    - #### getVariableAssignment

          public org.eclipse.emf.ecore.EClass getVariableAssignment()

      Specified by:
        `getVariableAssignment` in interface `DslPackage`
      Returns:
        the meta object for class 'Variable Assignment'.
      See Also:
        `VariableAssignment`

    - #### getVariableAssignment_Value

          public org.eclipse.emf.ecore.EReference getVariableAssignment_Value()

      Specified by:
        `getVariableAssignment_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `VariableAssignment.getValue()`, `DslPackage.getVariableAssignment()`

    - #### getVariableAssignment_Target

          public org.eclipse.emf.ecore.EReference getVariableAssignment_Target()

      Specified by:
        `getVariableAssignment_Target` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Target'.
      See Also:
        `VariableAssignment.getTarget()`, `DslPackage.getVariableAssignment()`

    - #### getVariantValue

          public org.eclipse.emf.ecore.EClass getVariantValue()

      Specified by:
        `getVariantValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Variant Value'.
      See Also:
        `VariantValue`

    - #### getVariantValue_Names

          public org.eclipse.emf.ecore.EReference getVariantValue_Names()

      Specified by:
        `getVariantValue_Names` in interface `DslPackage`
      Returns:
        the meta object for the reference list 'Names'.
      See Also:
        `VariantValue.getNames()`, `DslPackage.getVariantValue()`

    - #### getVariantValue_Value

          public org.eclipse.emf.ecore.EReference getVariantValue_Value()

      Specified by:
        `getVariantValue_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `VariantValue.getValue()`, `DslPackage.getVariantValue()`

    - #### getVariableEntity

          public org.eclipse.emf.ecore.EClass getVariableEntity()

      Specified by:
        `getVariableEntity` in interface `DslPackage`
      Returns:
        the meta object for class 'Variable Entity'.
      See Also:
        `VariableEntity`

    - #### getConstantEntity

          public org.eclipse.emf.ecore.EClass getConstantEntity()

      Specified by:
        `getConstantEntity` in interface `DslPackage`
      Returns:
        the meta object for class 'Constant Entity'.
      See Also:
        `ConstantEntity`

    - #### getVariableOrConstantEntity

          public org.eclipse.emf.ecore.EClass getVariableOrConstantEntity()

      Specified by:
        `getVariableOrConstantEntity` in interface `DslPackage`
      Returns:
        the meta object for class 'Variable Or Constant Entity'.
      See Also:
        `VariableOrConstantEntity`

    - #### getVariableOrConstantEntity_Name

          public org.eclipse.emf.ecore.EAttribute getVariableOrConstantEntity_Name()

      Specified by:
        `getVariableOrConstantEntity_Name` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `VariableOrConstantEntity.getName()`, `DslPackage.getVariableOrConstantEntity()`

    - #### getTest

          public org.eclipse.emf.ecore.EClass getTest()

      Specified by:
        `getTest` in interface `DslPackage`
      Returns:
        the meta object for class 'Test'.
      See Also:
        `Test`

    - #### getTest_Checkpoint

          public org.eclipse.emf.ecore.EAttribute getTest_Checkpoint()

      Specified by:
        `getTest_Checkpoint` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Checkpoint'.
      See Also:
        `Test.getCheckpoint()`, `DslPackage.getTest()`

    - #### getTest_Definition

          public org.eclipse.emf.ecore.EReference getTest_Definition()

      Specified by:
        `getTest_Definition` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `Test.getDefinition()`, `DslPackage.getTest()`

    - #### getTest_Parameters

          public org.eclipse.emf.ecore.EReference getTest_Parameters()

      Specified by:
        `getTest_Parameters` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Test.getParameters()`, `DslPackage.getTest()`

    - #### getTest_Results

          public org.eclipse.emf.ecore.EReference getTest_Results()

      Specified by:
        `getTest_Results` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Results'.
      See Also:
        `Test.getResults()`, `DslPackage.getTest()`

    - #### getTest_Result

          public org.eclipse.emf.ecore.EReference getTest_Result()

      Specified by:
        `getTest_Result` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Result'.
      See Also:
        `Test.getResult()`, `DslPackage.getTest()`

    - #### getTableTest

          public org.eclipse.emf.ecore.EClass getTableTest()

      Specified by:
        `getTableTest` in interface `DslPackage`
      Returns:
        the meta object for class 'Table Test'.
      See Also:
        `TableTest`

    - #### getTableTest_Definition

          public org.eclipse.emf.ecore.EReference getTableTest_Definition()

      Specified by:
        `getTableTest_Definition` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `TableTest.getDefinition()`, `DslPackage.getTableTest()`

    - #### getTableTest_Parameters

          public org.eclipse.emf.ecore.EReference getTableTest_Parameters()

      Specified by:
        `getTableTest_Parameters` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `TableTest.getParameters()`, `DslPackage.getTableTest()`

    - #### getTableTest_ParameterHeaders

          public org.eclipse.emf.ecore.EReference getTableTest_ParameterHeaders()

      Specified by:
        `getTableTest_ParameterHeaders` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Parameter Headers'.
      See Also:
        `TableTest.getParameterHeaders()`, `DslPackage.getTableTest()`

    - #### getTableTest_ResultHeaders

          public org.eclipse.emf.ecore.EReference getTableTest_ResultHeaders()

      Specified by:
        `getTableTest_ResultHeaders` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Result Headers'.
      See Also:
        `TableTest.getResultHeaders()`, `DslPackage.getTableTest()`

    - #### getTableTest_DefaultResultColumn

          public org.eclipse.emf.ecore.EAttribute getTableTest_DefaultResultColumn()

      Specified by:
        `getTableTest_DefaultResultColumn` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Default Result Column'.
      See Also:
        `TableTest.getDefaultResultColumn()`, `DslPackage.getTableTest()`

    - #### getTableTest_Rows

          public org.eclipse.emf.ecore.EReference getTableTest_Rows()

      Specified by:
        `getTableTest_Rows` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Rows'.
      See Also:
        `TableTest.getRows()`, `DslPackage.getTableTest()`

    - #### getTableTestRow

          public org.eclipse.emf.ecore.EClass getTableTestRow()

      Specified by:
        `getTableTestRow` in interface `DslPackage`
      Returns:
        the meta object for class 'Table Test Row'.
      See Also:
        `TableTestRow`

    - #### getTableTestRow_Values

          public org.eclipse.emf.ecore.EReference getTableTestRow_Values()

      Specified by:
        `getTableTestRow_Values` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Values'.
      See Also:
        `TableTestRow.getValues()`, `DslPackage.getTableTestRow()`

    - #### getParameterTableHeader

          public org.eclipse.emf.ecore.EClass getParameterTableHeader()

      Specified by:
        `getParameterTableHeader` in interface `DslPackage`
      Returns:
        the meta object for class 'Parameter Table Header'.
      See Also:
        `ParameterTableHeader`

    - #### getParameterTableHeader_Name

          public org.eclipse.emf.ecore.EReference getParameterTableHeader_Name()

      Specified by:
        `getParameterTableHeader_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ParameterTableHeader.getName()`, `DslPackage.getParameterTableHeader()`

    - #### getResultTableHeader

          public org.eclipse.emf.ecore.EClass getResultTableHeader()

      Specified by:
        `getResultTableHeader` in interface `DslPackage`
      Returns:
        the meta object for class 'Result Table Header'.
      See Also:
        `ResultTableHeader`

    - #### getResultTableHeader_Name

          public org.eclipse.emf.ecore.EReference getResultTableHeader_Name()

      Specified by:
        `getResultTableHeader_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `ResultTableHeader.getName()`, `DslPackage.getResultTableHeader()`

    - #### getParameterTableValue

          public org.eclipse.emf.ecore.EClass getParameterTableValue()

      Specified by:
        `getParameterTableValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Parameter Table Value'.
      See Also:
        `ParameterTableValue`

    - #### getParameterTableValue_Value

          public org.eclipse.emf.ecore.EReference getParameterTableValue_Value()

      Specified by:
        `getParameterTableValue_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ParameterTableValue.getValue()`, `DslPackage.getParameterTableValue()`

    - #### getNamedResult

          public org.eclipse.emf.ecore.EClass getNamedResult()

      Specified by:
        `getNamedResult` in interface `DslPackage`
      Returns:
        the meta object for class 'Named Result'.
      See Also:
        `NamedResult`

    - #### getNamedResult_Name

          public org.eclipse.emf.ecore.EReference getNamedResult_Name()

      Specified by:
        `getNamedResult_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `NamedResult.getName()`, `DslPackage.getNamedResult()`

    - #### getNamedResult_Value

          public org.eclipse.emf.ecore.EReference getNamedResult_Value()

      Specified by:
        `getNamedResult_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `NamedResult.getValue()`, `DslPackage.getNamedResult()`

    - #### getResultName

          public org.eclipse.emf.ecore.EClass getResultName()

      Specified by:
        `getResultName` in interface `DslPackage`
      Returns:
        the meta object for class 'Result Name'.
      See Also:
        `ResultName`

    - #### getFixedResultName

          public org.eclipse.emf.ecore.EClass getFixedResultName()

      Specified by:
        `getFixedResultName` in interface `DslPackage`
      Returns:
        the meta object for class 'Fixed Result Name'.
      See Also:
        `FixedResultName`

    - #### getFixedResultName_Field

          public org.eclipse.emf.ecore.EReference getFixedResultName_Field()

      Specified by:
        `getFixedResultName_Field` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Field'.
      See Also:
        `FixedResultName.getField()`, `DslPackage.getFixedResultName()`

    - #### getCall

          public org.eclipse.emf.ecore.EClass getCall()

      Specified by:
        `getCall` in interface `DslPackage`
      Returns:
        the meta object for class 'Call'.
      See Also:
        `Call`

    - #### getCall_Multiplier

          public org.eclipse.emf.ecore.EReference getCall_Multiplier()

      Specified by:
        `getCall_Multiplier` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Multiplier'.
      See Also:
        `Call.getMultiplier()`, `DslPackage.getCall()`

    - #### getCall_Definition

          public org.eclipse.emf.ecore.EReference getCall_Definition()

      Specified by:
        `getCall_Definition` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `Call.getDefinition()`, `DslPackage.getCall()`

    - #### getCall_Parameters

          public org.eclipse.emf.ecore.EReference getCall_Parameters()

      Specified by:
        `getCall_Parameters` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Call.getParameters()`, `DslPackage.getCall()`

    - #### getCall_Results

          public org.eclipse.emf.ecore.EReference getCall_Results()

      Specified by:
        `getCall_Results` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Results'.
      See Also:
        `Call.getResults()`, `DslPackage.getCall()`

    - #### getCall_Result

          public org.eclipse.emf.ecore.EReference getCall_Result()

      Specified by:
        `getCall_Result` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Result'.
      See Also:
        `Call.getResult()`, `DslPackage.getCall()`

    - #### getNamedCallResult

          public org.eclipse.emf.ecore.EClass getNamedCallResult()

      Specified by:
        `getNamedCallResult` in interface `DslPackage`
      Returns:
        the meta object for class 'Named Call Result'.
      See Also:
        `NamedCallResult`

    - #### getNamedCallResult_Name

          public org.eclipse.emf.ecore.EReference getNamedCallResult_Name()

      Specified by:
        `getNamedCallResult_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `NamedCallResult.getName()`, `DslPackage.getNamedCallResult()`

    - #### getNamedCallResult_Target

          public org.eclipse.emf.ecore.EReference getNamedCallResult_Target()

      Specified by:
        `getNamedCallResult_Target` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Target'.
      See Also:
        `NamedCallResult.getTarget()`, `DslPackage.getNamedCallResult()`

    - #### getTimeSet

          public org.eclipse.emf.ecore.EClass getTimeSet()

      Specified by:
        `getTimeSet` in interface `DslPackage`
      Returns:
        the meta object for class 'Time Set'.
      See Also:
        `TimeSet`

    - #### getTimeSet_Live

          public org.eclipse.emf.ecore.EAttribute getTimeSet_Live()

      Specified by:
        `getTimeSet_Live` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Live'.
      See Also:
        `TimeSet.getLive()`, `DslPackage.getTimeSet()`

    - #### getTimeSet_StartTime

          public org.eclipse.emf.ecore.EReference getTimeSet_StartTime()

      Specified by:
        `getTimeSet_StartTime` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Start Time'.
      See Also:
        `TimeSet.getStartTime()`, `DslPackage.getTimeSet()`

    - #### getTimeSet_DiffTime

          public org.eclipse.emf.ecore.EReference getTimeSet_DiffTime()

      Specified by:
        `getTimeSet_DiffTime` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Diff Time'.
      See Also:
        `TimeSet.getDiffTime()`, `DslPackage.getTimeSet()`

    - #### getTimeSet_ProgressionMode

          public org.eclipse.emf.ecore.EAttribute getTimeSet_ProgressionMode()

      Specified by:
        `getTimeSet_ProgressionMode` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Progression Mode'.
      See Also:
        `TimeSet.getProgressionMode()`, `DslPackage.getTimeSet()`

    - #### getTimeSet_ProgressionFactor

          public org.eclipse.emf.ecore.EReference getTimeSet_ProgressionFactor()

      Specified by:
        `getTimeSet_ProgressionFactor` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Progression Factor'.
      See Also:
        `TimeSet.getProgressionFactor()`, `DslPackage.getTimeSet()`

    - #### getTimeSet_Forks

          public org.eclipse.emf.ecore.EReference getTimeSet_Forks()

      Specified by:
        `getTimeSet_Forks` in interface `DslPackage`
      Returns:
        the meta object for the reference list 'Forks'.
      See Also:
        `TimeSet.getForks()`, `DslPackage.getTimeSet()`

    - #### getTimeSet_MasterFork

          public org.eclipse.emf.ecore.EAttribute getTimeSet_MasterFork()

      Specified by:
        `getTimeSet_MasterFork` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Master Fork'.
      See Also:
        `TimeSet.getMasterFork()`, `DslPackage.getTimeSet()`

    - #### getTimeProgressionFactor

          public org.eclipse.emf.ecore.EClass getTimeProgressionFactor()

      Specified by:
        `getTimeProgressionFactor` in interface `DslPackage`
      Returns:
        the meta object for class 'Time Progression Factor'.
      See Also:
        `TimeProgressionFactor`

    - #### getTimeProgressionFactor_FixedValue

          public org.eclipse.emf.ecore.EAttribute getTimeProgressionFactor_FixedValue()

      Specified by:
        `getTimeProgressionFactor_FixedValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Fixed Value'.
      See Also:
        `TimeProgressionFactor.getFixedValue()`, `DslPackage.getTimeProgressionFactor()`

    - #### getTimeProgressionFactor_CalculatedValue

          public org.eclipse.emf.ecore.EReference getTimeProgressionFactor_CalculatedValue()

      Specified by:
        `getTimeProgressionFactor_CalculatedValue` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Calculated Value'.
      See Also:
        `TimeProgressionFactor.getCalculatedValue()`, `DslPackage.getTimeProgressionFactor()`

    - #### getTimeDifference

          public org.eclipse.emf.ecore.EClass getTimeDifference()

      Specified by:
        `getTimeDifference` in interface `DslPackage`
      Returns:
        the meta object for class 'Time Difference'.
      See Also:
        `TimeDifference`

    - #### getTimeDifference_Direction

          public org.eclipse.emf.ecore.EAttribute getTimeDifference_Direction()

      Specified by:
        `getTimeDifference_Direction` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Direction'.
      See Also:
        `TimeDifference.getDirection()`, `DslPackage.getTimeDifference()`

    - #### getTimeDifference_FixedValues

          public org.eclipse.emf.ecore.EAttribute getTimeDifference_FixedValues()

      Specified by:
        `getTimeDifference_FixedValues` in interface `DslPackage`
      Returns:
        the meta object for the attribute list 'Fixed Values'.
      See Also:
        `TimeDifference.getFixedValues()`, `DslPackage.getTimeDifference()`

    - #### getTimeDifference_CalculatedValue

          public org.eclipse.emf.ecore.EReference getTimeDifference_CalculatedValue()

      Specified by:
        `getTimeDifference_CalculatedValue` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Calculated Value'.
      See Also:
        `TimeDifference.getCalculatedValue()`, `DslPackage.getTimeDifference()`

    - #### getSuite

          public org.eclipse.emf.ecore.EClass getSuite()

      Specified by:
        `getSuite` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite'.
      See Also:
        `Suite`

    - #### getSuite_Inlined

          public org.eclipse.emf.ecore.EAttribute getSuite_Inlined()

      Specified by:
        `getSuite_Inlined` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Inlined'.
      See Also:
        `Suite.getInlined()`, `DslPackage.getSuite()`

    - #### getSuite_Multiplier

          public org.eclipse.emf.ecore.EReference getSuite_Multiplier()

      Specified by:
        `getSuite_Multiplier` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Multiplier'.
      See Also:
        `Suite.getMultiplier()`, `DslPackage.getSuite()`

    - #### getSuite_Definition

          public org.eclipse.emf.ecore.EReference getSuite_Definition()

      Specified by:
        `getSuite_Definition` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `Suite.getDefinition()`, `DslPackage.getSuite()`

    - #### getSuite_Parameters

          public org.eclipse.emf.ecore.EReference getSuite_Parameters()

      Specified by:
        `getSuite_Parameters` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Parameters'.
      See Also:
        `Suite.getParameters()`, `DslPackage.getSuite()`

    - #### getSuite_Return

          public org.eclipse.emf.ecore.EReference getSuite_Return()

      Specified by:
        `getSuite_Return` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Return'.
      See Also:
        `Suite.getReturn()`, `DslPackage.getSuite()`

    - #### getSuite_Fork

          public org.eclipse.emf.ecore.EReference getSuite_Fork()

      Specified by:
        `getSuite_Fork` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Fork'.
      See Also:
        `Suite.getFork()`, `DslPackage.getSuite()`

    - #### getSuite_Variants

          public org.eclipse.emf.ecore.EReference getSuite_Variants()

      Specified by:
        `getSuite_Variants` in interface `DslPackage`
      Returns:
        the meta object for the reference list 'Variants'.
      See Also:
        `Suite.getVariants()`, `DslPackage.getSuite()`

    - #### getSuiteParameter

          public org.eclipse.emf.ecore.EClass getSuiteParameter()

      Specified by:
        `getSuiteParameter` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite Parameter'.
      See Also:
        `SuiteParameter`

    - #### getSuiteParameter_Name

          public org.eclipse.emf.ecore.EReference getSuiteParameter_Name()

      Specified by:
        `getSuiteParameter_Name` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `SuiteParameter.getName()`, `DslPackage.getSuiteParameter()`

    - #### getSuiteParameter_Value

          public org.eclipse.emf.ecore.EReference getSuiteParameter_Value()

      Specified by:
        `getSuiteParameter_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `SuiteParameter.getValue()`, `DslPackage.getSuiteParameter()`

    - #### getSuiteReturn

          public org.eclipse.emf.ecore.EClass getSuiteReturn()

      Specified by:
        `getSuiteReturn` in interface `DslPackage`
      Returns:
        the meta object for class 'Suite Return'.
      See Also:
        `SuiteReturn`

    - #### getSuiteReturn_Name

          public org.eclipse.emf.ecore.EReference getSuiteReturn_Name()

      Specified by:
        `getSuiteReturn_Name` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `SuiteReturn.getName()`, `DslPackage.getSuiteReturn()`

    - #### getSuiteReturn_Target

          public org.eclipse.emf.ecore.EReference getSuiteReturn_Target()

      Specified by:
        `getSuiteReturn_Target` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Target'.
      See Also:
        `SuiteReturn.getTarget()`, `DslPackage.getSuiteReturn()`

    - #### getParameter

          public org.eclipse.emf.ecore.EClass getParameter()

      Specified by:
        `getParameter` in interface `DslPackage`
      Returns:
        the meta object for class 'Parameter'.
      See Also:
        `Parameter`

    - #### getParameter_Name

          public org.eclipse.emf.ecore.EReference getParameter_Name()

      Specified by:
        `getParameter_Name` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Name'.
      See Also:
        `Parameter.getName()`, `DslPackage.getParameter()`

    - #### getParameter_Value

          public org.eclipse.emf.ecore.EReference getParameter_Value()

      Specified by:
        `getParameter_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `Parameter.getValue()`, `DslPackage.getParameter()`

    - #### getParameterName

          public org.eclipse.emf.ecore.EClass getParameterName()

      Specified by:
        `getParameterName` in interface `DslPackage`
      Returns:
        the meta object for class 'Parameter Name'.
      See Also:
        `ParameterName`

    - #### getFixedParameterName

          public org.eclipse.emf.ecore.EClass getFixedParameterName()

      Specified by:
        `getFixedParameterName` in interface `DslPackage`
      Returns:
        the meta object for class 'Fixed Parameter Name'.
      See Also:
        `FixedParameterName`

    - #### getFixedParameterName_Annotation

          public org.eclipse.emf.ecore.EReference getFixedParameterName_Annotation()

      Specified by:
        `getFixedParameterName_Annotation` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Annotation'.
      See Also:
        `FixedParameterName.getAnnotation()`, `DslPackage.getFixedParameterName()`

    - #### getArbitraryParameterOrResultName

          public org.eclipse.emf.ecore.EClass getArbitraryParameterOrResultName()

      Specified by:
        `getArbitraryParameterOrResultName` in interface `DslPackage`
      Returns:
        the meta object for class 'Arbitrary Parameter Or Result Name'.
      See Also:
        `ArbitraryParameterOrResultName`

    - #### getArbitraryParameterOrResultName_Identifier

          public org.eclipse.emf.ecore.EAttribute getArbitraryParameterOrResultName_Identifier()

      Specified by:
        `getArbitraryParameterOrResultName_Identifier` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Identifier'.
      See Also:
        `ArbitraryParameterOrResultName.getIdentifier()`, `DslPackage.getArbitraryParameterOrResultName()`

    - #### getArbitraryParameterOrResultName_StringIdentifier

          public org.eclipse.emf.ecore.EAttribute getArbitraryParameterOrResultName_StringIdentifier()

      Specified by:
        `getArbitraryParameterOrResultName_StringIdentifier` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'String Identifier'.
      See Also:
        `ArbitraryParameterOrResultName.getStringIdentifier()`, `DslPackage.getArbitraryParameterOrResultName()`

    - #### getOperation

          public org.eclipse.emf.ecore.EClass getOperation()

      Specified by:
        `getOperation` in interface `DslPackage`
      Returns:
        the meta object for class 'Operation'.
      See Also:
        `Operation`

    - #### getStandardOperation

          public org.eclipse.emf.ecore.EClass getStandardOperation()

      Specified by:
        `getStandardOperation` in interface `DslPackage`
      Returns:
        the meta object for class 'Standard Operation'.
      See Also:
        `StandardOperation`

    - #### getStandardOperation_FirstOperand

          public org.eclipse.emf.ecore.EReference getStandardOperation_FirstOperand()

      Specified by:
        `getStandardOperation_FirstOperand` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'First Operand'.
      See Also:
        `StandardOperation.getFirstOperand()`, `DslPackage.getStandardOperation()`

    - #### getStandardOperation_Operators

          public org.eclipse.emf.ecore.EAttribute getStandardOperation_Operators()

      Specified by:
        `getStandardOperation_Operators` in interface `DslPackage`
      Returns:
        the meta object for the attribute list 'Operators'.
      See Also:
        `StandardOperation.getOperators()`, `DslPackage.getStandardOperation()`

    - #### getStandardOperation_MoreOperands

          public org.eclipse.emf.ecore.EReference getStandardOperation_MoreOperands()

      Specified by:
        `getStandardOperation_MoreOperands` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'More Operands'.
      See Also:
        `StandardOperation.getMoreOperands()`, `DslPackage.getStandardOperation()`

    - #### getCustomOperation

          public org.eclipse.emf.ecore.EClass getCustomOperation()

      Specified by:
        `getCustomOperation` in interface `DslPackage`
      Returns:
        the meta object for class 'Custom Operation'.
      See Also:
        `CustomOperation`

    - #### getCustomOperation_PrefixOperand

          public org.eclipse.emf.ecore.EReference getCustomOperation_PrefixOperand()

      Specified by:
        `getCustomOperation_PrefixOperand` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Prefix Operand'.
      See Also:
        `CustomOperation.getPrefixOperand()`, `DslPackage.getCustomOperation()`

    - #### getCustomOperation_Definition

          public org.eclipse.emf.ecore.EReference getCustomOperation_Definition()

      Specified by:
        `getCustomOperation_Definition` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Definition'.
      See Also:
        `CustomOperation.getDefinition()`, `DslPackage.getCustomOperation()`

    - #### getCustomOperation_PostfixOperand

          public org.eclipse.emf.ecore.EReference getCustomOperation_PostfixOperand()

      Specified by:
        `getCustomOperation_PostfixOperand` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Postfix Operand'.
      See Also:
        `CustomOperation.getPostfixOperand()`, `DslPackage.getCustomOperation()`

    - #### getValueOrEnumValueOrOperationCollection

          public org.eclipse.emf.ecore.EClass getValueOrEnumValueOrOperationCollection()

      Specified by:
        `getValueOrEnumValueOrOperationCollection` in interface `DslPackage`
      Returns:
        the meta object for class 'Value Or Enum Value Or Operation Collection'.
      See Also:
        `ValueOrEnumValueOrOperationCollection`

    - #### getValueOrEnumValueOrOperationCollection_Value

          public org.eclipse.emf.ecore.EReference getValueOrEnumValueOrOperationCollection_Value()

      Specified by:
        `getValueOrEnumValueOrOperationCollection_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `ValueOrEnumValueOrOperationCollection.getValue()`, `DslPackage.getValueOrEnumValueOrOperationCollection()`

    - #### getValueOrEnumValueOrOperationCollection_MoreValues

          public org.eclipse.emf.ecore.EReference getValueOrEnumValueOrOperationCollection_MoreValues()

      Specified by:
        `getValueOrEnumValueOrOperationCollection_MoreValues` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'More Values'.
      See Also:
        `ValueOrEnumValueOrOperationCollection.getMoreValues()`, `DslPackage.getValueOrEnumValueOrOperationCollection()`

    - #### getValueOrEnumValueOrOperation

          public org.eclipse.emf.ecore.EClass getValueOrEnumValueOrOperation()

      Specified by:
        `getValueOrEnumValueOrOperation` in interface `DslPackage`
      Returns:
        the meta object for class 'Value Or Enum Value Or Operation'.
      See Also:
        `ValueOrEnumValueOrOperation`

    - #### getValue

          public org.eclipse.emf.ecore.EClass getValue()

      Specified by:
        `getValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Value'.
      See Also:
        `Value`

    - #### getConstantValue

          public org.eclipse.emf.ecore.EClass getConstantValue()

      Specified by:
        `getConstantValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Constant Value'.
      See Also:
        `ConstantValue`

    - #### getStaticValue

          public org.eclipse.emf.ecore.EClass getStaticValue()

      Specified by:
        `getStaticValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Static Value'.
      See Also:
        `StaticValue`

    - #### getIntegerValue

          public org.eclipse.emf.ecore.EClass getIntegerValue()

      Specified by:
        `getIntegerValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Integer Value'.
      See Also:
        `IntegerValue`

    - #### getIntegerValue_IntegerValue

          public org.eclipse.emf.ecore.EAttribute getIntegerValue_IntegerValue()

      Specified by:
        `getIntegerValue_IntegerValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Integer Value'.
      See Also:
        `IntegerValue.getIntegerValue()`, `DslPackage.getIntegerValue()`

    - #### getDecimalValue

          public org.eclipse.emf.ecore.EClass getDecimalValue()

      Specified by:
        `getDecimalValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Decimal Value'.
      See Also:
        `DecimalValue`

    - #### getDecimalValue_DecimalValue

          public org.eclipse.emf.ecore.EAttribute getDecimalValue_DecimalValue()

      Specified by:
        `getDecimalValue_DecimalValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Decimal Value'.
      See Also:
        `DecimalValue.getDecimalValue()`, `DslPackage.getDecimalValue()`

    - #### getStringValue

          public org.eclipse.emf.ecore.EClass getStringValue()

      Specified by:
        `getStringValue` in interface `DslPackage`
      Returns:
        the meta object for class 'String Value'.
      See Also:
        `StringValue`

    - #### getStringValue_StringValue

          public org.eclipse.emf.ecore.EAttribute getStringValue_StringValue()

      Specified by:
        `getStringValue_StringValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'String Value'.
      See Also:
        `StringValue.getStringValue()`, `DslPackage.getStringValue()`

    - #### getRegexValue

          public org.eclipse.emf.ecore.EClass getRegexValue()

      Specified by:
        `getRegexValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Regex Value'.
      See Also:
        `RegexValue`

    - #### getRegexValue_RegexValue

          public org.eclipse.emf.ecore.EAttribute getRegexValue_RegexValue()

      Specified by:
        `getRegexValue_RegexValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Regex Value'.
      See Also:
        `RegexValue.getRegexValue()`, `DslPackage.getRegexValue()`

    - #### getBooleanValue

          public org.eclipse.emf.ecore.EClass getBooleanValue()

      Specified by:
        `getBooleanValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Boolean Value'.
      See Also:
        `BooleanValue`

    - #### getBooleanValue_BooleanValue

          public org.eclipse.emf.ecore.EAttribute getBooleanValue_BooleanValue()

      Specified by:
        `getBooleanValue_BooleanValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Boolean Value'.
      See Also:
        `BooleanValue.getBooleanValue()`, `DslPackage.getBooleanValue()`

    - #### getDateValue

          public org.eclipse.emf.ecore.EClass getDateValue()

      Specified by:
        `getDateValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Date Value'.
      See Also:
        `DateValue`

    - #### getDateValue_DateValue

          public org.eclipse.emf.ecore.EAttribute getDateValue_DateValue()

      Specified by:
        `getDateValue_DateValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Date Value'.
      See Also:
        `DateValue.getDateValue()`, `DslPackage.getDateValue()`

    - #### getIsoDateValue

          public org.eclipse.emf.ecore.EClass getIsoDateValue()

      Specified by:
        `getIsoDateValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Iso Date Value'.
      See Also:
        `IsoDateValue`

    - #### getEuropeanDateValue

          public org.eclipse.emf.ecore.EClass getEuropeanDateValue()

      Specified by:
        `getEuropeanDateValue` in interface `DslPackage`
      Returns:
        the meta object for class 'European Date Value'.
      See Also:
        `EuropeanDateValue`

    - #### getUSDateValue

          public org.eclipse.emf.ecore.EClass getUSDateValue()

      Specified by:
        `getUSDateValue` in interface `DslPackage`
      Returns:
        the meta object for class 'US Date Value'.
      See Also:
        `USDateValue`

    - #### getTimeValue

          public org.eclipse.emf.ecore.EClass getTimeValue()

      Specified by:
        `getTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Time Value'.
      See Also:
        `TimeValue`

    - #### getTimeValue_TimeValue

          public org.eclipse.emf.ecore.EAttribute getTimeValue_TimeValue()

      Specified by:
        `getTimeValue_TimeValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Time Value'.
      See Also:
        `TimeValue.getTimeValue()`, `DslPackage.getTimeValue()`

    - #### getIsoTimeValue

          public org.eclipse.emf.ecore.EClass getIsoTimeValue()

      Specified by:
        `getIsoTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Iso Time Value'.
      See Also:
        `IsoTimeValue`

    - #### getSimple24HrsTimeValue

          public org.eclipse.emf.ecore.EClass getSimple24HrsTimeValue()

      Specified by:
        `getSimple24HrsTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Simple24 Hrs Time Value'.
      See Also:
        `Simple24HrsTimeValue`

    - #### getSimple12HrsTimeValue

          public org.eclipse.emf.ecore.EClass getSimple12HrsTimeValue()

      Specified by:
        `getSimple12HrsTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Simple12 Hrs Time Value'.
      See Also:
        `Simple12HrsTimeValue`

    - #### getDateAndTimeValue

          public org.eclipse.emf.ecore.EClass getDateAndTimeValue()

      Specified by:
        `getDateAndTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Date And Time Value'.
      See Also:
        `DateAndTimeValue`

    - #### getDateAndTimeValue_DateValue

          public org.eclipse.emf.ecore.EAttribute getDateAndTimeValue_DateValue()

      Specified by:
        `getDateAndTimeValue_DateValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Date Value'.
      See Also:
        `DateAndTimeValue.getDateValue()`, `DslPackage.getDateAndTimeValue()`

    - #### getDateAndTimeValue_TimeValue

          public org.eclipse.emf.ecore.EAttribute getDateAndTimeValue_TimeValue()

      Specified by:
        `getDateAndTimeValue_TimeValue` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Time Value'.
      See Also:
        `DateAndTimeValue.getTimeValue()`, `DslPackage.getDateAndTimeValue()`

    - #### getIsoDateAndTimeValue

          public org.eclipse.emf.ecore.EClass getIsoDateAndTimeValue()

      Specified by:
        `getIsoDateAndTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Iso Date And Time Value'.
      See Also:
        `IsoDateAndTimeValue`

    - #### getEuropeanDateAnd24HrsTimeValue

          public org.eclipse.emf.ecore.EClass getEuropeanDateAnd24HrsTimeValue()

      Specified by:
        `getEuropeanDateAnd24HrsTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'European Date And24 Hrs Time Value'.
      See Also:
        `EuropeanDateAnd24HrsTimeValue`

    - #### getEuropeanDateAnd12HrsTimeValue

          public org.eclipse.emf.ecore.EClass getEuropeanDateAnd12HrsTimeValue()

      Specified by:
        `getEuropeanDateAnd12HrsTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'European Date And12 Hrs Time Value'.
      See Also:
        `EuropeanDateAnd12HrsTimeValue`

    - #### getUSDateAnd12HrsTimeValue

          public org.eclipse.emf.ecore.EClass getUSDateAnd12HrsTimeValue()

      Specified by:
        `getUSDateAnd12HrsTimeValue` in interface `DslPackage`
      Returns:
        the meta object for class 'US Date And12 Hrs Time Value'.
      See Also:
        `USDateAnd12HrsTimeValue`

    - #### getJavaConstantValue

          public org.eclipse.emf.ecore.EClass getJavaConstantValue()

      Specified by:
        `getJavaConstantValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Java Constant Value'.
      See Also:
        `JavaConstantValue`

    - #### getJavaConstantValue_Constant

          public org.eclipse.emf.ecore.EReference getJavaConstantValue_Constant()

      Specified by:
        `getJavaConstantValue_Constant` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Constant'.
      See Also:
        `JavaConstantValue.getConstant()`, `DslPackage.getJavaConstantValue()`

    - #### getVariable

          public org.eclipse.emf.ecore.EClass getVariable()

      Specified by:
        `getVariable` in interface `DslPackage`
      Returns:
        the meta object for class 'Variable'.
      See Also:
        `Variable`

    - #### getVariable_Name

          public org.eclipse.emf.ecore.EReference getVariable_Name()

      Specified by:
        `getVariable_Name` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `Variable.getName()`, `DslPackage.getVariable()`

    - #### getVariable_Attribute

          public org.eclipse.emf.ecore.EAttribute getVariable_Attribute()

      Specified by:
        `getVariable_Attribute` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Attribute'.
      See Also:
        `Variable.getAttribute()`, `DslPackage.getVariable()`

    - #### getVariableVariable

          public org.eclipse.emf.ecore.EClass getVariableVariable()

      Specified by:
        `getVariableVariable` in interface `DslPackage`
      Returns:
        the meta object for class 'Variable Variable'.
      See Also:
        `VariableVariable`

    - #### getVariableVariable_Name

          public org.eclipse.emf.ecore.EReference getVariableVariable_Name()

      Specified by:
        `getVariableVariable_Name` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `VariableVariable.getName()`, `DslPackage.getVariableVariable()`

    - #### getConstant

          public org.eclipse.emf.ecore.EClass getConstant()

      Specified by:
        `getConstant` in interface `DslPackage`
      Returns:
        the meta object for class 'Constant'.
      See Also:
        `Constant`

    - #### getConstant_Name

          public org.eclipse.emf.ecore.EReference getConstant_Name()

      Specified by:
        `getConstant_Name` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Name'.
      See Also:
        `Constant.getName()`, `DslPackage.getConstant()`

    - #### getNullValue

          public org.eclipse.emf.ecore.EClass getNullValue()

      Specified by:
        `getNullValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Null Value'.
      See Also:
        `NullValue`

    - #### getInexistentValue

          public org.eclipse.emf.ecore.EClass getInexistentValue()

      Specified by:
        `getInexistentValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Inexistent Value'.
      See Also:
        `InexistentValue`

    - #### getEmptyValue

          public org.eclipse.emf.ecore.EClass getEmptyValue()

      Specified by:
        `getEmptyValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Empty Value'.
      See Also:
        `EmptyValue`

    - #### getEnumValue

          public org.eclipse.emf.ecore.EClass getEnumValue()

      Specified by:
        `getEnumValue` in interface `DslPackage`
      Returns:
        the meta object for class 'Enum Value'.
      See Also:
        `EnumValue`

    - #### getEnumValue_EnumValue

          public org.eclipse.emf.ecore.EReference getEnumValue_EnumValue()

      Specified by:
        `getEnumValue_EnumValue` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Enum Value'.
      See Also:
        `EnumValue.getEnumValue()`, `DslPackage.getEnumValue()`

    - #### getNestedObject

          public org.eclipse.emf.ecore.EClass getNestedObject()

      Specified by:
        `getNestedObject` in interface `DslPackage`
      Returns:
        the meta object for class 'Nested Object'.
      See Also:
        `NestedObject`

    - #### getNestedObject_Attributes

          public org.eclipse.emf.ecore.EReference getNestedObject_Attributes()

      Specified by:
        `getNestedObject_Attributes` in interface `DslPackage`
      Returns:
        the meta object for the containment reference list 'Attributes'.
      See Also:
        `NestedObject.getAttributes()`, `DslPackage.getNestedObject()`

    - #### getTypedNestedObject

          public org.eclipse.emf.ecore.EClass getTypedNestedObject()

      Specified by:
        `getTypedNestedObject` in interface `DslPackage`
      Returns:
        the meta object for class 'Typed Nested Object'.
      See Also:
        `TypedNestedObject`

    - #### getTypedNestedObject_Type

          public org.eclipse.emf.ecore.EReference getTypedNestedObject_Type()

      Specified by:
        `getTypedNestedObject_Type` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Type'.
      See Also:
        `TypedNestedObject.getType()`, `DslPackage.getTypedNestedObject()`

    - #### getTypedNestedObject_NestedObject

          public org.eclipse.emf.ecore.EReference getTypedNestedObject_NestedObject()

      Specified by:
        `getTypedNestedObject_NestedObject` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Nested Object'.
      See Also:
        `TypedNestedObject.getNestedObject()`, `DslPackage.getTypedNestedObject()`

    - #### getKeyValuePair

          public org.eclipse.emf.ecore.EClass getKeyValuePair()

      Specified by:
        `getKeyValuePair` in interface `DslPackage`
      Returns:
        the meta object for class 'Key Value Pair'.
      See Also:
        `KeyValuePair`

    - #### getKeyValuePair_Identifier

          public org.eclipse.emf.ecore.EAttribute getKeyValuePair_Identifier()

      Specified by:
        `getKeyValuePair_Identifier` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Identifier'.
      See Also:
        `KeyValuePair.getIdentifier()`, `DslPackage.getKeyValuePair()`

    - #### getKeyValuePair_StringIdentifier

          public org.eclipse.emf.ecore.EAttribute getKeyValuePair_StringIdentifier()

      Specified by:
        `getKeyValuePair_StringIdentifier` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'String Identifier'.
      See Also:
        `KeyValuePair.getStringIdentifier()`, `DslPackage.getKeyValuePair()`

    - #### getKeyValuePair_Value

          public org.eclipse.emf.ecore.EReference getKeyValuePair_Value()

      Specified by:
        `getKeyValuePair_Value` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Value'.
      See Also:
        `KeyValuePair.getValue()`, `DslPackage.getKeyValuePair()`

    - #### getJavaClassReference

          public org.eclipse.emf.ecore.EClass getJavaClassReference()

      Specified by:
        `getJavaClassReference` in interface `DslPackage`
      Returns:
        the meta object for class 'Java Class Reference'.
      See Also:
        `JavaClassReference`

    - #### getJavaClassReference_Type

          public org.eclipse.emf.ecore.EReference getJavaClassReference_Type()

      Specified by:
        `getJavaClassReference_Type` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Type'.
      See Also:
        `JavaClassReference.getType()`, `DslPackage.getJavaClassReference()`

    - #### getMethodReference

          public org.eclipse.emf.ecore.EClass getMethodReference()

      Specified by:
        `getMethodReference` in interface `DslPackage`
      Returns:
        the meta object for class 'Method Reference'.
      See Also:
        `MethodReference`

    - #### getMethodReference_Type

          public org.eclipse.emf.ecore.EReference getMethodReference_Type()

      Specified by:
        `getMethodReference_Type` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Type'.
      See Also:
        `MethodReference.getType()`, `DslPackage.getMethodReference()`

    - #### getMethodReference_Method

          public org.eclipse.emf.ecore.EReference getMethodReference_Method()

      Specified by:
        `getMethodReference_Method` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Method'.
      See Also:
        `MethodReference.getMethod()`, `DslPackage.getMethodReference()`

    - #### getJavaConstantReference

          public org.eclipse.emf.ecore.EClass getJavaConstantReference()

      Specified by:
        `getJavaConstantReference` in interface `DslPackage`
      Returns:
        the meta object for class 'Java Constant Reference'.
      See Also:
        `JavaConstantReference`

    - #### getJavaConstantReference_Type

          public org.eclipse.emf.ecore.EReference getJavaConstantReference_Type()

      Specified by:
        `getJavaConstantReference_Type` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Type'.
      See Also:
        `JavaConstantReference.getType()`, `DslPackage.getJavaConstantReference()`

    - #### getJavaConstantReference_Constant

          public org.eclipse.emf.ecore.EReference getJavaConstantReference_Constant()

      Specified by:
        `getJavaConstantReference_Constant` in interface `DslPackage`
      Returns:
        the meta object for the reference 'Constant'.
      See Also:
        `JavaConstantReference.getConstant()`, `DslPackage.getJavaConstantReference()`

    - #### getExecutionMultiplier

          public org.eclipse.emf.ecore.EClass getExecutionMultiplier()

      Specified by:
        `getExecutionMultiplier` in interface `DslPackage`
      Returns:
        the meta object for class 'Execution Multiplier'.
      See Also:
        `ExecutionMultiplier`

    - #### getExecutionMultiplier_Count

          public org.eclipse.emf.ecore.EReference getExecutionMultiplier_Count()

      Specified by:
        `getExecutionMultiplier_Count` in interface `DslPackage`
      Returns:
        the meta object for the containment reference 'Count'.
      See Also:
        `ExecutionMultiplier.getCount()`, `DslPackage.getExecutionMultiplier()`

    - #### getDocumentationComment

          public org.eclipse.emf.ecore.EClass getDocumentationComment()

      Specified by:
        `getDocumentationComment` in interface `DslPackage`
      Returns:
        the meta object for class 'Documentation Comment'.
      See Also:
        `DocumentationComment`

    - #### getDocumentationComment_Content

          public org.eclipse.emf.ecore.EAttribute getDocumentationComment_Content()

      Specified by:
        `getDocumentationComment_Content` in interface `DslPackage`
      Returns:
        the meta object for the attribute 'Content'.
      See Also:
        `DocumentationComment.getContent()`, `DslPackage.getDocumentationComment()`

    - #### getNull

          public org.eclipse.emf.ecore.EClass getNull()

      Specified by:
        `getNull` in interface `DslPackage`
      Returns:
        the meta object for class 'Null'.
      See Also:
        `Null`

    - #### getInexistent

          public org.eclipse.emf.ecore.EClass getInexistent()

      Specified by:
        `getInexistent` in interface `DslPackage`
      Returns:
        the meta object for class 'Inexistent'.
      See Also:
        `Inexistent`

    - #### getEmpty

          public org.eclipse.emf.ecore.EClass getEmpty()

      Specified by:
        `getEmpty` in interface `DslPackage`
      Returns:
        the meta object for class 'Empty'.
      See Also:
        `Empty`

    - #### getDslFactory

          public DslFactory getDslFactory()

      Specified by:
        `getDslFactory` in interface `DslPackage`
      Returns:
        the factory that creates the instances of the model.

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.